Predict Payment Source Amount And Fee
curl --request GET \
--url https://api.example.com/{version}/predictions/payment-source/amount-and-fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/{version}/predictions/payment-source/amount-and-fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/{version}/predictions/payment-source/amount-and-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/predictions/payment-source/amount-and-fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"payer_amount": "<string>",
"payer_currency": "<string>",
"payee_amount": "<string>",
"payee_currency": "<string>",
"platform_fee": "<string>",
"platform_currency": "<string>",
"fx_fee": "<string>",
"gateway_fee": "<string>",
"gateway_currency": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}predictions
Predict Payment Source Amount And Fee
GET
/
{version}
/
predictions
/
payment-source
/
amount-and-fees
Predict Payment Source Amount And Fee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Query Parameters
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Pattern:
^[A-Z]{3}$Available options:
MTN_MOMO_LBR, ORANGE_MONEY_LBR, AIRTEL_RWA, MTN_MOMO_RWA, ORANGE_MONEY_RWA Available options:
MTN_MOMO_LBR, ORANGE_MONEY_LBR, PAWAPAY, STRIPE, PLATFORM Available options:
INVOICE, ORDER, SUBSCRIPTION Response
Successful Response
Last modified on June 23, 2026
Was this page helpful?
